// Persistence of Vision Raytracer Version 1.0
//--------------- jake the snake

//--------------- truman's ctds default color
#declare Truman = color red 0.556 green 0.419 blue 0.137

//--------------- deep red for gums
#declare YourTexture = texture {
color Red ambient 0.1 diffuse 0.4 phong 1.0 phong_size 60 }

//-------------- jakes neck color
#declare devil_2 = texture {

marble
turbulence 0.4
colour_map {
   [0.000 0.139   colour red  0.569  green  0.486  blue  0.333  alpha  0.000
                  colour red  0.839  green  0.576  blue  0.384  alpha  0.000]
   [0.139 0.296   colour red  0.839  green  0.576  blue  0.384  alpha  0.000
                  colour red  0.898  green  0.733  blue  0.525  alpha  0.000]
   [0.296 0.426   colour red  0.898  green  0.733  blue  0.525  alpha  0.000
                  colour red  0.945  green  0.851  blue  0.737  alpha  0.000]
   [0.426 0.670   colour red  0.945  green  0.851  blue  0.737  alpha  0.000
                  colour red  0.918  green  0.761  blue  0.843  alpha  0.000]
   [0.670 0.783   colour red  0.918  green  0.761  blue  0.843  alpha  0.000
                  colour red  0.898  green  0.604  blue  0.525  alpha  0.000]
   [0.783 0.878   colour red  0.898  green  0.604  blue  0.525  alpha  0.000
                  colour red  0.757  green  0.518  blue  0.518  alpha  0.000]
   [0.878 0.983   colour red  0.757  green  0.518  blue  0.518  alpha  0.000
                  colour red  0.569  green  0.486  blue  0.333  alpha  0.000]
   [0.983 1.001   colour red  0.569  green  0.486  blue  0.333  alpha  0.000
                  colour red  0.569  green  0.486  blue  0.333  alpha  0.000]
}
scale <20 20 5>
}

texture {
gradient <0 1 0>
color_map {
[0.0 0.3 color Truman color Truman]
[0.3 0.5 color Truman color Truman alpha 0.7]
[0.5 1.0 color Truman alpha 0.7 color Truman ]
}
scale <100 60 100> translate <-50 -30 0>
phong 1.0 ambient 0.2 diffuse .9 phong_size 80
}


//--------------- main head texture {
#declare devil_1 = texture {

image_map { <1 -1 0> gif "coat-t2.gif" }
ambient 0.2 diffuse 0.9 
scale <100 60 1> translate <-50 -30 -1> }

texture {
gradient <1 0 0>
color_map {
[0.0 0.4 color Clear color Clear]
[0.4 0.7 color Clear color Truman]
[0.7 1.0 color Truman color Truman]
}
phong 1.0 ambient 0.2 diffuse .8 phong_size 80
scale <100 60 100> translate <-50 -30 -1>
}


#declare Dot =
    quadric {
       < 1.0  1.0  1.0>
       < 0.0  0.0  0.0>
       < 0.0  0.0  0.0>
       -1.0
    }

#declare Connector_1 = 
   object {
      quadric {
         < 0.0  1.0  1.0>
         < 0.0  0.0  0.0>
         < 0.0  0.0  0.0>
          -1.0
      }
      clipped_by {
         plane { < 1.0  0.0  0.0> 1.0 }
         plane { <-1.0  0.0  0.0> 0.0 }
      }
   }

#declare Connector_2 =
   quadric {
      < 1.0 -1.0  1.0>
      < 0.0  0.0  0.0>
      < 0.0  0.0  0.0>
        0.0
      rotate < 0.0  0.0  90.0>
   }





//---------------- positive <z> of neck

#declare neck_a =
object {
union {
         quadric {
            Dot
            scale     < 8.800000  8.800000  8.800000>
            translate <-0.000000 -3.000000  0.000000>
	    }
  
         quadric {
            Dot
            scale     < 8.600000  8.600000  8.600000>
            translate < 7.031240 -1.604050  0.000000>
         }
       
         quadric {
            Dot
            scale     < 8.400000  8.400000  8.400000>
            translate < 14.199350 -1.532300  0.000000>
         }
       
         quadric {
            Dot
            scale     < 8.200000  8.200000  8.200000>
            translate < 21.257130 -2.787220  0.000000>
         }
       
         quadric {
            Dot
            scale     < 8.000000  8.000000  8.000000>
            translate < 27.961150 -5.325530  0.000000>
         }
       
         quadric {
            Dot
            scale     < 7.800000  7.800000  7.800000>
            translate < 34.080230 -9.059690  0.000000>
         }
       
         quadric {
            Dot
            scale     < 7.600000  7.600000  7.600000>
            translate < 39.403310 -13.860920  0.000000>
         }
       
         quadric {
            Dot
            scale     < 7.400000  7.400000  7.400000>
            translate < 43.746830 -19.563630  0.000000>
         }
       
         quadric {
            Dot
            scale     < 7.200000  7.200000  7.200000>
            translate < 46.960970 -25.971150  0.000000>
         }
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate < 48.934890 -32.862490  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.800000  6.800000  6.800000>
            translate < 49.600520 -40.000000  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.738460  6.738460  6.738460>
            translate < 49.095940 -45.442170  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.676920  6.676920  6.676920>
            translate < 47.599380 -50.698810  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.615380  6.615380  6.615380>
            translate < 45.161890 -55.590690  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.553850  6.553850  6.553850>
            translate < 41.866560 -59.951050  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.492310  6.492310  6.492310>
            translate < 37.825730 -63.631210  0.000000>
         }

         quadric {
            Dot
            scale     < 6.430770  6.430770  6.430770>
            translate < 33.177170 -66.505710  0.000000>
         }

         quadric {
            Dot
            scale     < 6.369230  6.369230  6.369230>
            translate < 28.079360 -68.476560  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.307690  6.307690  6.307690>
            translate < 22.706100 -69.476560  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.246150  6.246150  6.246150>
            translate < 17.240590 -69.471620  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.184610  6.184610  6.184610>
            translate < 11.869150 -68.461900  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.123070  6.123070  6.123070>
            translate < 6.774910 -66.481830  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.061540  6.061540  6.061540>
            translate < 2.131560 -63.598930  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-1.902610 -59.911460  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-6.473790 -57.077620  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-11.475990 -55.101660  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-16.749800 -54.046550  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-22.127190 -53.945910  0.000000>
         }
          
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-27.436790 -54.802960  0.000000>
         }
          
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-32.509410 -56.590370  0.000000>
         }

         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-37.183430 -59.251210  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-41.309880 -62.700660  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-44.757300 -66.828820  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-47.415810 -71.504150  0.000000>
         }
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-49.200720 -76.577660  0.000000>
         }
          
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-50.055130 -81.887690  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-49.951840 -87.265020  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-48.894120 -92.538310  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-46.915690 -97.539530  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-44.079570 -102.109310  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-40.476170 -106.102030  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-36.220280 -109.390460  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-31.447530 -111.869830  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-26.310000 -113.461110  0.000000>
         }
          
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-20.971400 -114.113610  0.000000>
         }

}
texture { devil_2 }
              
  bounded_by {
         quadric {
            Dot
            scale < 93.843722  93.843722  93.843722>
            translate < 0.172695 -56.558830  0.000000>
         }
      }
translate <0 0 3>
   }




//--------------- negative <z> of neck
#declare neck_b =
   
object {
union {       
         quadric {
            Dot
            scale     < 8.800000  8.800000  8.800000>
            translate <-0.000000 -3.000000  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.600000  8.600000  8.600000>
            translate < 7.031240 -1.604050  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.400000  8.400000  8.400000>
            translate < 14.199350 -1.532300  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.200000  8.200000  8.200000>
            translate < 21.257130 -2.787220  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.000000  8.000000  8.000000>
            translate < 27.961150 -5.325530  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.800000  7.800000  7.800000>
            translate < 34.080230 -9.059690  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.600000  7.600000  7.600000>
            translate < 39.403310 -13.860920  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.400000  7.400000  7.400000>
            translate < 43.746830 -19.563630  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.200000  7.200000  7.200000>
            translate < 46.960970 -25.971150  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate < 48.934890 -32.862490  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.800000  6.800000  6.800000>
            translate < 49.600520 -40.000000  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.738460  6.738460  6.738460>
            translate < 49.095940 -45.442170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.676920  6.676920  6.676920>
            translate < 47.599380 -50.698810  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.615380  6.615380  6.615380>
            translate < 45.161890 -55.590690  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.553850  6.553850  6.553850>
            translate < 41.866560 -59.951050  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.492310  6.492310  6.492310>
            translate < 37.825730 -63.631210  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.430770  6.430770  6.430770>
            translate < 33.177170 -66.505710  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.369230  6.369230  6.369230>
            translate < 28.079360 -68.476560  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.307690  6.307690  6.307690>
            translate < 22.706100 -69.476560  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.246150  6.246150  6.246150>
            translate < 17.240590 -69.471620  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.184610  6.184610  6.184610>
            translate < 11.869150 -68.461900  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.123070  6.123070  6.123070>
            translate < 6.774910 -66.481830  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.061540  6.061540  6.061540>
            translate < 2.131560 -63.598930  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-1.902610 -59.911460  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-6.473790 -57.077620  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-11.475990 -55.101660  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-16.749800 -54.046550  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-22.127190 -53.945910  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-27.436790 -54.802960  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-32.509410 -56.590370  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-37.183430 -59.251210  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-41.309880 -62.700660  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-44.757300 -66.828820  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-47.415810 -71.504150  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-49.200720 -76.577660  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-50.055130 -81.887690  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-49.951840 -87.265020  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-48.894120 -92.538310  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-46.915690 -97.539530  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-44.079570 -102.109310  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-40.476170 -106.102030  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-36.220280 -109.390460  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-31.447530 -111.869830  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-26.310000 -113.461110  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-20.971400 -114.113610  0.000000>
         }
          
              
}
texture { devil_2 }  
       
      bounded_by {
         quadric {
            Dot
            scale < 93.843722  93.843722  93.843722>
            translate < 0.172695 -56.558830  0.000000>
         }
      }
translate <0 0 -3>
}


//--------------- starts head

//----------------positive <z> of head
#declare head_a = 
object {
difference {

union {
union {

         quadric {
            Dot
            scale     < 4.500000  4.500000  4.500000>
            translate < 29.102780 -5.325960  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 5.000000  5.000000  5.000000>
            translate < 26.073090 -3.905650  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 5.500000  5.500000  5.500000>
            translate < 22.933100 -2.749480  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate < 19.705780 -1.865900  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.500000  6.500000  6.500000>
            translate < 16.414750 -1.261380  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate < 13.084100 -0.940350  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.500000  7.500000  7.500000>
            translate < 9.738200 -0.905140  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.000000  8.000000  8.000000>
            translate < 6.401540 -1.156030  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.500000  8.500000  8.500000>
            translate < 3.098520 -1.691170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.000000  9.000000  9.000000>
            translate <-0.146680 -2.506650  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.400000  9.400000  9.400000>
            translate <-1.736590 -3.492240  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.800000  9.800000  9.800000>
            translate <-3.434760 -4.276750  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.200000  10.200000  10.200000>
            translate <-5.215870 -4.848500  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.600000  10.600000  10.600000>
            translate <-7.053370 -5.198950  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.000000  11.000000  11.000000>
            translate <-8.919880 -5.322890  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.400000  11.400000  11.400000>
            translate <-10.787590 -5.218480  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.800000  11.800000  11.800000>
            translate <-12.628660 -4.887250  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 12.200000  12.200000  12.200000>
            translate <-14.415650 -4.334170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 12.600000  12.600000  12.600000>
            translate <-16.121930 -3.567450  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 13.000000  13.000000  13.000000>
            translate <-17.722060 -2.598540  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 5.000000  5.000000  5.000000>
            translate < 32.000000 -7.000000  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 5.615380  5.615380  5.615380>
            translate < 28.857440 -4.176180  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.230770  6.230770  6.230770>
            translate < 25.431910 -1.703250  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.846150  6.846150  6.846150>
            translate < 21.762410  0.390630  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.461540  7.461540  7.461540>
            translate < 17.890700  2.081650  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.076920  8.076920  8.076920>
            translate < 13.860870  3.350530  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.692310  8.692310  8.692310>
            translate < 9.718780  4.182850  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.307690  9.307690  9.307690>
            translate < 5.511590  4.569120  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.923080  9.923080  9.923080>
            translate < 1.287200  4.504950  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.538460  10.538460  10.538460>
            translate <-2.906310  3.991060  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.153850  11.153850  11.153850>
            translate <-7.021210  3.033320  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.769230  11.769230  11.769230>
            translate <-11.010640  1.642610  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 12.384620  12.384620  12.384620>
            translate <-14.829190 -0.165220  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 13.000000  13.000000  13.000000>
            translate <-18.433400 -2.369610  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 12.250000  12.250000  12.250000>
            translate <-20.509540 -3.658460  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.500000  11.500000  11.500000>
            translate <-22.685340 -4.770860  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.750000  10.750000  10.750000>
            translate <-24.945820 -5.699160  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.000000  10.000000  10.000000>
            translate <-27.275440 -6.436970  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.250000  9.250000  9.250000>
            translate <-29.658190 -6.979220  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.500000  8.500000  8.500000>
            translate <-32.077670 -7.322170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.750000  7.750000  7.750000>
            translate <-34.517250 -7.463480  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate <-36.960150 -7.402170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-34.000000 -17.000000  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.500000  6.500000  6.500000>
            translate <-31.104770 -16.844320  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate <-28.242920 -16.379080  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.500000  7.500000  7.500000>
            translate <-25.447470 -15.609650  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.000000  8.000000  8.000000>
            translate <-22.750640 -14.544890  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.500000  8.500000  8.500000>
            translate <-20.183530 -13.197090  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.000000  9.000000  9.000000>
            translate <-17.775750 -11.581790  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.500000  9.500000  9.500000>
            translate <-15.555070 -9.717620  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.000000  10.000000  10.000000>
            translate <-13.547080 -7.626060  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.500000  10.500000  10.500000>
            translate <-11.774950 -5.331250  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.000000  11.000000  11.000000>
            translate <-10.259120 -2.859640  0.000000>
         }
          
translate <0 0 3>
}

union {
         quadric {
            Dot
            scale     < 4.500000  4.500000  4.500000>
            translate < 29.102780 -5.325960  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 5.000000  5.000000  5.000000>
            translate < 26.073090 -3.905650  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 5.500000  5.500000  5.500000>
            translate < 22.933100 -2.749480  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate < 19.705780 -1.865900  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.500000  6.500000  6.500000>
            translate < 16.414750 -1.261380  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate < 13.084100 -0.940350  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.500000  7.500000  7.500000>
            translate < 9.738200 -0.905140  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.000000  8.000000  8.000000>
            translate < 6.401540 -1.156030  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.500000  8.500000  8.500000>
            translate < 3.098520 -1.691170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.000000  9.000000  9.000000>
            translate <-0.146680 -2.506650  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.400000  9.400000  9.400000>
            translate <-1.736590 -3.492240  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.800000  9.800000  9.800000>
            translate <-3.434760 -4.276750  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.200000  10.200000  10.200000>
            translate <-5.215870 -4.848500  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.600000  10.600000  10.600000>
            translate <-7.053370 -5.198950  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.000000  11.000000  11.000000>
            translate <-8.919880 -5.322890  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.400000  11.400000  11.400000>
            translate <-10.787590 -5.218480  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.800000  11.800000  11.800000>
            translate <-12.628660 -4.887250  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 12.200000  12.200000  12.200000>
            translate <-14.415650 -4.334170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 12.600000  12.600000  12.600000>
            translate <-16.121930 -3.567450  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 13.000000  13.000000  13.000000>
            translate <-17.722060 -2.598540  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 5.000000  5.000000  5.000000>
            translate < 32.000000 -7.000000  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 5.615380  5.615380  5.615380>
            translate < 28.857440 -4.176180  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.230770  6.230770  6.230770>
            translate < 25.431910 -1.703250  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.846150  6.846150  6.846150>
            translate < 21.762410  0.390630  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.461540  7.461540  7.461540>
            translate < 17.890700  2.081650  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.076920  8.076920  8.076920>
            translate < 13.860870  3.350530  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.692310  8.692310  8.692310>
            translate < 9.718780  4.182850  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.307690  9.307690  9.307690>
            translate < 5.511590  4.569120  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.923080  9.923080  9.923080>
            translate < 1.287200  4.504950  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.538460  10.538460  10.538460>
            translate <-2.906310  3.991060  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.153850  11.153850  11.153850>
            translate <-7.021210  3.033320  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.769230  11.769230  11.769230>
            translate <-11.010640  1.642610  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 12.384620  12.384620  12.384620>
            translate <-14.829190 -0.165220  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 13.000000  13.000000  13.000000>
            translate <-18.433400 -2.369610  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 12.250000  12.250000  12.250000>
            translate <-20.509540 -3.658460  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.500000  11.500000  11.500000>
            translate <-22.685340 -4.770860  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.750000  10.750000  10.750000>
            translate <-24.945820 -5.699160  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.000000  10.000000  10.000000>
            translate <-27.275440 -6.436970  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.250000  9.250000  9.250000>
            translate <-29.658190 -6.979220  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.500000  8.500000  8.500000>
            translate <-32.077670 -7.322170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.750000  7.750000  7.750000>
            translate <-34.517250 -7.463480  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate <-36.960150 -7.402170  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.000000  6.000000  6.000000>
            translate <-34.000000 -17.000000  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 6.500000  6.500000  6.500000>
            translate <-31.104770 -16.844320  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate <-28.242920 -16.379080  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 7.500000  7.500000  7.500000>
            translate <-25.447470 -15.609650  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.000000  8.000000  8.000000>
            translate <-22.750640 -14.544890  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 8.500000  8.500000  8.500000>
            translate <-20.183530 -13.197090  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.000000  9.000000  9.000000>
            translate <-17.775750 -11.581790  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 9.500000  9.500000  9.500000>
            translate <-15.555070 -9.717620  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.000000  10.000000  10.000000>
            translate <-13.547080 -7.626060  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 10.500000  10.500000  10.500000>
            translate <-11.774950 -5.331250  0.000000>
         }
          
              
          
       
       
         quadric {
            Dot
            scale     < 11.000000  11.000000  11.000000>
            translate <-10.259120 -2.859640  0.000000>
         }


//--------------- add brow
quadric { Sphere scale <8 4 4> rotate <0 0 12> translate <-17 3 -10> }
quadric { Sphere scale <8 4 4> rotate <0 0 12> translate <-17 3 10> }




translate <0 0 -3>          
}
}

//----------- remove for mouth opening
quadric { Cylinder_Z scale <14 7 1> rotate <0 0 -7> 
translate <-38 -13.5 0> }


//---------- eye socket
quadric { Sphere scale <8 4 4> rotate <0 0 12> translate <-20 0 -15> }
quadric { Sphere scale <8 4 4> rotate <0 0 12> translate <-20 0 15> }




}


texture { devil_1 }

bounded_by {
         quadric {
            Dot
            scale < 51.204994  51.204994  51.204994>
            translate <-3.480075 -4.424780  0.000000>
         }
      }
}



//------------ eyeballs
#declare eyes =
object {
union {
quadric { Sphere scale <5 5 5>  translate <-20.5 -1 11.5> }
quadric { Sphere scale <5 5 5>  translate <-20.5 -1 -11.5> }
}
texture { color Red phong 1.0 ambient 0.2 diffuse 0.6 }
}


//------------ mouth gums

#declare gums =
object {

difference {
union {
union {
       quadric {      
            Dot
            scale     < 10.000000  10.000000  10.000000>
            translate <-27.275440 -6.436970  0.000000>
         }
          
         quadric {
            Dot
            scale     < 9.250000  9.250000  9.250000>
            translate <-29.658190 -6.979220  0.000000>
         }
          
         quadric {
            Dot
            scale     < 8.500000  8.500000  8.500000>
            translate <-32.077670 -7.322170  0.000000>
         }
          
         quadric {
            Dot
            scale     < 7.750000  7.750000  7.750000>
            translate <-34.517250 -7.463480  0.000000>
         }
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate <-36.960150 -7.402170  0.000000>
         }
translate <0 0 -3>
}

union {
/*
         quadric
            Dot
            scale     < 12.250000  12.250000  12.250000>
            translate <-20.509540 -3.658460  0.000000>
         end_quadric
       
         quadric
            Dot
            scale     < 11.500000  11.500000  11.500000>
            translate <-22.685340 -4.770860  0.000000>
         end_quadric
          
         quadric
            Dot
            scale     < 10.750000  10.750000  10.750000>
            translate <-24.945820 -5.699160  0.000000>
         end_quadric
*/         
        quadric {      
            Dot
            scale     < 10.000000  10.000000  10.000000>
            translate <-27.275440 -6.436970  0.000000>
         }
          
         quadric {
            Dot
            scale     < 9.250000  9.250000  9.250000>
            translate <-29.658190 -6.979220  0.000000>
         }
          
         quadric {
            Dot
            scale     < 8.500000  8.500000  8.500000>
            translate <-32.077670 -7.322170  0.000000>
         }
          
         quadric {
            Dot
            scale     < 7.750000  7.750000  7.750000>
            translate <-34.517250 -7.463480  0.000000>
         }
       
         quadric {
            Dot
            scale     < 7.000000  7.000000  7.000000>
            translate <-36.960150 -7.402170  0.000000>
         }
translate <0 0 3>
}
}

//----------- remove for gums
quadric { Cylinder_Z scale <12.5 6 1> rotate <0 0 -7> 
translate <-39 -13.5 0> }
}

texture { color Red ambient 0.2 diffuse 0.6 phong 1.0 }
scale <0.97 0.97 0.97>
}




//---------- tongue
#declare tongue =
   composite {
      object {
         quadric {
            Dot
            scale     < 1.833330  1.833330  1.833330>
            translate <-28.000000 -14.000000  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  1.831084 }
            plane {     < 1.000000  0.000000  0.000000>  1.664628 inverse
 }
         }
         translate <-1.831084  0.000000  0.000000>
         scale     < 20.185134  1.000000  1.000000>
         translate <-0.090715  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000  29.532621>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-28.000000 -14.000000  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 1.666670  1.666670  1.666670>
            translate <-30.930570 -12.339760  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  1.664628 }
            plane {     < 1.000000  0.000000  0.000000>  1.498162 inverse
}
         }
         translate <-1.664628  0.000000  0.000000>
         scale     < 20.183921  1.000000  1.000000>
         translate <-0.082473  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000  19.581197>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-30.930570 -12.339760  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 1.500000  1.500000  1.500000>
            translate <-34.103960 -11.210940  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  1.498162 }
            plane {     < 1.000000  0.000000  0.000000>  1.331697 inverse
 }
         }
         translate <-1.498162  0.000000  0.000000>
         scale     < 20.183907  1.000000  1.000000>
         translate <-0.074226  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000  9.629558>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-34.103960 -11.210940  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 1.333330  1.333330  1.333330>
            translate <-37.424680 -10.647520  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  1.331697 }
            plane {     < 1.000000  0.000000  0.000000>  1.165241 inverse
 }
         }
         translate <-1.331697  0.000000  0.000000>
         scale     < 20.185092  1.000000  1.000000>
         translate <-0.065974  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000 -0.322189>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-37.424680 -10.647520  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 1.166670  1.166670  1.166670>
            translate <-40.792800 -10.666460  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  1.165241 }
            plane {     < 1.000000  0.000000  0.000000>  0.998775 inverse
 }
         }
         translate <-1.165241  0.000000  0.000000>
         scale     < 20.183923  1.000000  1.000000>
         translate <-0.057731  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000 -10.273580>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-40.792800 -10.666460  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            translate <-44.106980 -11.267170  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  0.998775 }
            plane {     < 1.000000  0.000000  0.000000>  0.832309 inverse 
}
         }
         translate <-0.998775  0.000000  0.000000>
         scale     < 20.183938  1.000000  1.000000>
         translate <-0.049484  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000 -20.225422>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-44.106980 -11.267170  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 0.833330  0.833330  0.833330>
            translate <-47.267480 -12.431600  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  0.833191 }
            plane {     < 1.000000  0.000000  0.000000>  0.763872 inverse
 }
         }
         translate <-0.833191  0.000000  0.000000>
         scale     < 54.665755  1.000000  1.000000>
         translate <-0.015242  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000 -35.439702>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-47.267480 -12.431600  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 0.764000  0.764000  0.764000>
            translate <-50.355790 -14.629570  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  0.763884 }
            plane {     < 1.000000  0.000000  0.000000>  0.697894 inverse
 }
         }
         translate <-0.763884  0.000000  0.000000>
         scale     < 57.424898  1.000000  1.000000>
         translate <-0.013302  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000 -25.912793>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-50.355790 -14.629570  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 0.698000  0.698000  0.698000>
            translate <-53.765300 -16.286080  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  0.697894 }
            plane {     < 1.000000  0.000000  0.000000>  0.631904 inverse
 }
         }
         translate <-0.697894  0.000000  0.000000>
         scale     < 57.424838  1.000000  1.000000>
         translate <-0.012153  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000 -16.386017>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-53.765300 -16.286080  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 0.632000  0.632000  0.632000>
            translate <-57.401950 -17.355440  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  0.631904 }
            plane {     < 1.000000  0.000000  0.000000>  0.565914 inverse
 }
         }
         translate <-0.631904  0.000000  0.000000>
         scale     < 57.424919  1.000000  1.000000>
         translate <-0.011004  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000 -6.859000>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-57.401950 -17.355440  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 0.566000  0.566000  0.566000>
            translate <-61.165440 -17.808140  0.000000>
         }
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Connector_2
         }
         clipped_by {
            plane {     < 1.000000  0.000000  0.000000>  0.565914 }
            plane {     < 1.000000  0.000000  0.000000>  0.499924 inverse
 }
         }
         translate <-0.565914  0.000000  0.000000>
         scale     < 57.424908  1.000000  1.000000>
         translate <-0.009855  0.000000  0.000000>
         rotate    < 0.000000  180.000000  0.000000>
         rotate    < 0.000000  0.000000  2.667882>
         rotate    < 0.000000 -180.000000  0.000000>
         translate <-61.165440 -17.808140  0.000000>
         texture {
            YourTexture
         }
      }
      object {
         quadric {
            Dot
            scale     < 0.500000  0.500000  0.500000>
            translate <-64.951950 -17.631700  0.000000>
         }
         texture {
            YourTexture
         }
      }
      bounded_by {
         quadric {
            Dot
            scale < 22.265562  22.265562  22.265562>
            translate <-45.809310 -13.844165  0.000000>
         }
      }
   }


//---------- upper choppers
#declare tooth = object {
intersection { DCone scale <.7 6 .7> }
texture { color White phong 1.0 ambient 0.4 diffuse 0.9 }
}

//----------- lower choppers
#declare tooth2 = object {
intersection { DCone scale <.7 3 .7> rotate <0 0 180> }
texture { color White phong 1.0 ambient 0.4 diffuse 0.9 }
}






//------------ jake the snake

#declare CHUCK = 
   composite {
        object { neck_a }
        object { neck_b }
        object { head_a }
        object { eyes }	
        object { gums }

	object { tooth translate <-40 -12 -5.5> }
	object { tooth translate <-40 -12 5.5> }
	object { tooth translate <-36 -12 -6.5> }
	object { tooth translate <-36 -12 6.5> }
	object { tooth translate <-32 -12 -7.5> }
	object { tooth translate <-32 -12 7.5> }
        object { tooth translate <-30 -12 -8.5> }
	object { tooth translate <-30 -12 8.5> }


	object { tooth2 translate <-36 -17.5 -4.5> }
	object { tooth2 translate <-36 -17.5 4.5> }
	object { tooth2 translate <-33 -16.5 -6> }
	object { tooth2 translate <-33 -16.5 6> }
        object { tooth2 translate <-30 -15.5 -7> }
	object { tooth2 translate <-30 -15.5 7> }



        composite { tongue translate <5 -2 0> }
        scale <1 1 0.8>
      
        bounded_by {
        quadric {
            Dot
            scale < 97.539435  97.539435  97.539435>
            translate < 0.172695 -52.792045  0.000000>
        }
        }
        }














